Package help.validator.location

# Class HelpModuleLocation

java.lang.Object
help.validator.location.HelpModuleLocation

Direct Known Subclasses:
  `DirectoryHelpModuleLocation`, `JarHelpModuleLocation`

public abstract class HelpModuleLocation extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Path`
  `helpDir`
  The help dir parent of the help topics and such
  `protected GhidraTOCFile`
  `sourceTOCFile`
  this is the TOC_Source.xml file, not the generated file

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<HREF>`
  `getAllHREFs()`
  `Collection<IMG>`
  `getAllIMGs()`
  `Path`
  `getHelpLocation()`
  `Path`
  `getHelpModuleLocation()`
  `Collection<HelpTopic>`
  `getHelpTopics()`
  `Path`
  `getModuleRepoRoot()`
  `abstract boolean`
  `isHelpInputSource()`
  Returns true if this help location represents a source of input files to generate help output
  `abstract javax.help.HelpSet`
  `loadHelpSet()`
  `protected void`
  `loadHelpTopics()`
  `abstract GhidraTOCFile`
  `loadSourceTOCFile()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### helpDir

    protected Path helpDir
    The help dir parent of the help topics and such

  - ### sourceTOCFile

    protected GhidraTOCFile sourceTOCFile
    this is the TOC_Source.xml file, not the generated file

- ## Method Details

  - ### loadSourceTOCFile

    public abstract GhidraTOCFile loadSourceTOCFile()

  - ### loadHelpSet

    public abstract javax.help.HelpSet loadHelpSet()

  - ### isHelpInputSource

    public abstract boolean isHelpInputSource()
    Returns true if this help location represents a source of input files to generate help output
    Returns:
      true if this help location represents a source of input files to generate help output

  - ### loadHelpTopics

    protected void loadHelpTopics()

  - ### getHelpLocation

    public Path getHelpLocation()

  - ### getHelpModuleLocation

    public Path getHelpModuleLocation()

  - ### getModuleRepoRoot

    public Path getModuleRepoRoot()

  - ### getHelpTopics

    public Collection<HelpTopic> getHelpTopics()

  - ### getAllHREFs

    public Collection<HREF> getAllHREFs()

  - ### getAllIMGs

    public Collection<IMG> getAllIMGs()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`